# $Revision: 1.23 $, $Date: 2004/11/30 14:38:13 $
Summary:	Yacc-like LALR(1) Parser Generator for Haskell
Summary(pl):	Generator parserw LALR(1) w stylu yacc-a dla Haskella
Name:		happy
Version:	1.14
Release:	3
License:	BSD w/o adv. clause
Group:		Development/Languages
URL:		http://haskell.org/happy/
Source0:	http://haskell.org/happy/dist/%{version}/%{name}-%{version}-src.tar.gz
# Source0-md5:	501b5b63533b2e2838de18085e8c4492
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-arch.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	ghc
BuildRequires:	gmp-devel
BuildRequires:	jadetex
BuildRequires:	elfutils-libelf
BuildRequires:	ncurses-devel
BuildRequires:	openjade
BuildRequires:	readline-devel
BuildRequires:	sgml-common
BuildRequires:	tetex-dvips
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Happy is a LALR(1) parser generator for Haskell - similar to yacc for
C. It generates a Haskell parser from an annotated BNF specification
of a grammar. Happy allows to have several Happy generated parsers in
one program.

%description -l pl
Happy jest generatorem parserw LALR(1) dla Haskella - podobnym do
yacc-a dla C. Generuje parser w Haskellu ze specyfikacji gramatyki 
w notacji BNF. Happy pozwala mie wiele wygenerowanych parserw 
w jednym programie.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
cp -f /usr/share/automake/config.sub .
%{__autoconf}
%configure \
	--with-gcc=%{__cc}

%{__make} -C glafp-utils sgmlverb mkdirhier all
%{__make} -C happy/src depend
%{__make} -C happy all
%{__make} -C happy/doc html ps

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir}/man1,%{_examplesdir}/happy}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a happy/examples/* $RPM_BUILD_ROOT%{_examplesdir}/happy/

sed -e 's,@LIBDIR@,%{_libdir}/%{name}-%{version},g' \
	-e 's,@DOCDIR@,%{_docdir}/%{name}-%{version},g' \
	-e 's,@VERSION@,%{version},g' \
	happy/doc/happy.1.in > $RPM_BUILD_ROOT%{_mandir}/man1/happy.1
ln -sf happy-%{version} $RPM_BUILD_ROOT%{_bindir}/happy

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc happy/README happy/doc/happy.ps happy/doc/happy/*
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/%{name}-%{version}
%attr(755,root,root) %{_libdir}/%{name}-%{version}/happy.bin
%{_libdir}/%{name}-%{version}/Happy*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: happy.spec,v $
Revision 1.23  2004/11/30 14:38:13  undefine
- release 3

Revision 1.22  2004/11/30 01:26:11  undefine
- release 2

Revision 1.21  2004/11/23 02:26:19  undefine
- copy config.sub to allow build on amd64

Revision 1.20  2004/11/23 00:06:27  undefine
- BR: tetex-dvips

Revision 1.19  2004/08/31 14:44:50  snurf
- typos / formatting / etc.

Revision 1.18  2004/06/13 08:12:26  arekm
- be nicer for ppc/alpha

Revision 1.17  2004/06/09 23:50:48  arekm
- md5

Revision 1.16  2004/06/09 23:46:59  arekm
- updated to 0.14

Revision 1.15  2004/03/01 12:56:25  baggins
- updated to 1.13
- removed obsolete patches

Revision 1.14  2003/05/28 12:59:04  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 05:48:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2002/10/09 08:01:00  qboosh
- BR: automake; new %%doc

Revision 1.11  2002/05/21 23:13:33  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/04/25 16:32:46  arturs
fixed a small typo

Revision 1.9  2002/02/22 23:29:02  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:13:16  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/12/04 13:40:25  filon
- updated to 1.11
- removed (commented) unncecessary ac patch
- corrected %%configure (libdir should be default now)
- cosmetics (using version macro in linking)
- passing %%{__cc} as gcc to configure

Revision 1.6  2001/10/11 12:51:52  qboosh
- pl translations, BuildRequires: autoconf

Revision 1.5  2001/09/18 18:31:06  baggins
- release 2
- added autoconf fixes

Revision 1.4  2001/06/25 21:19:25  pawelk
added chmod u+w configure befeore caling autoconf

Revision 1.3  2001/06/25 21:17:45  pawelk
- added chmod u+w configure, before running it (requested by arekm)

Revision 1.2  2001/06/24 22:14:53  pawelk
- version 1.10

Revision 1.1  2000/11/20 12:53:53  baggins
- initial revision
